iCalendlyDeveloper Docs
Verified Resources

POSTVerify A Phone Number

Submit a verification code sent to the specified phone number to confirm ownership and authorize the phone number as a verified resource.

POST/v2/verified-resources/phones/verification-code/verify
POST/v2/verified-resources/phones/verification-code/verify

Request Body

application/jsonRequired
phoneRequiredstring

phone number to verify.

codeRequiredstring

verification code sent to the phone number to verify

Header Parameters

AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X POST "https://example.com/v2/verified-resources/phones/verification-code/verify" \
  -H "Authorization: <string>" \
  -H "Content-Type: application/json" \
  -d '{
    "phone": "+37255556666",
    "code": "1ABG2C"
  }'

{
  "status": "success",
  "data": {
    "id": 789,
    "phoneNumber": "+37255556666",
    "userId": 45
  }
}